# Kod dla klienta (gracza)
import machine
import network
import socket
import json

# wpisz odpowiednie dane
SSID = "..."
PASSWORD = "..."

PORT = 80
SERVER_IP = "..."  # IP serwera - wpisz odpowiednie IP

buttons = {
    "A": machine.Pin(5, machine.Pin.IN, machine.Pin.PULL_UP),
    "B": machine.Pin(4, machine.Pin.IN, machine.Pin.PULL_UP),
    "C": machine.Pin(14, machine.Pin.IN, machine.Pin.PULL_UP),
    "D": machine.Pin(12, machine.Pin.IN, machine.Pin.PULL_UP),
}

def connect_wifi():
    wlan = network.WLAN(network.STA_IF)
    wlan.active(True)
    wlan.connect(SSID, PASSWORD)
    while not wlan.isconnected():
        pass
    print("Połączono z Wi-Fi")

def connect_to_server():
    s = socket.socket(socket.AF_INET, socket.SOCK_STREAM)
    s.connect((SERVER_IP, PORT))
    print("Połączono z serwerem")
    return s



def wyslij_dane(sock, dane):
    sock.send(json.dumps(dane).encode("utf-8"))

def odbierz_dane(sock):
    data = sock.recv(1024).decode("utf-8")
    return json.loads(data)

def sprawdz_przyciski():
    for odpowiedz, pin in buttons.items():
        if not pin.value():  # Jeśli przycisk wciśnięty
            return odpowiedz
    return None

def main():
    connect_wifi()
    sock = connect_to_server()

    while True:
        pytanie_dane = odbierz_dane(sock)
        print(f"Pytanie {pytanie_dane['nr']}: {pytanie_dane['pytanie']}")
        for odp in pytanie_dane["odpowiedzi"]:
            print(odp)

        odpowiedz = None
        while not odpowiedz:
            odpowiedz = sprawdz_przyciski()
        wyslij_dane(sock, {"odpowiedz": odpowiedz})

        if "wynik" in pytanie_dane:
            print(f"Twoj wynik: {pytanie_dane['wynik']} punktów")
            break

if __name__ == "__main__":
    main()

